AOMedia AV1 Codec: DecoderCodingBlock Struct Reference

| AOMedia AV1 Codec

DecoderCodingBlock Struct Reference

Contains coding block data required by the decoder. More...

`#include <decoder.h>`

## Data Fields
MACROBLOCKD | xd
int | corrupted
uint8_t * | mc_buf [2]
tran_low_t * | dqcoeff_block [3]
uint16_t | cb_offset [3]
eob_info * | eob_data [3]
uint16_t | txb_offset [3]
uint8_t | ref_mv_count [MODE_CTX_REF_FRAMES]

## Detailed Description

Contains coding block data required by the decoder.

This includes:

- Coding block info that is common between encoder and decoder.
- Other coding block info only needed by the decoder. Contrast this with a similar struct MACROBLOCK on encoder side. This data is also common between ThreadData and AV1Decoder structs.

## Field Documentation

## ◆ xd

MACROBLOCKD DecoderCodingBlock::xd

Coding block info that is common between encoder and decoder.

## ◆ corrupted

int DecoderCodingBlock::corrupted

True if the at least one of the coding blocks decoded was corrupted.

## ◆ mc_buf

uint8_t* DecoderCodingBlock::mc_buf[2]

Pointer to 'mc_buf' inside 'pbi->td' (single-threaded decoding) or 'pbi->thread_data[i].td' (multi-threaded decoding).

## ◆ dqcoeff_block

tran_low_t* DecoderCodingBlock::dqcoeff_block[3]

Pointer to 'dqcoeff' inside 'td->cb_buffer_base' or 'pbi->cb_buffer_base' with appropriate offset for the current superblock, for each plane.

## ◆ cb_offset

uint16_t DecoderCodingBlock::cb_offset[3]

cb_offset[p] is the offset into the dqcoeff_block[p] for the current coding block, for each plane 'p'.

## ◆ eob_data

eob_info* DecoderCodingBlock::eob_data[3]

Pointer to 'eob_data' inside 'td->cb_buffer_base' or 'pbi->cb_buffer_base' with appropriate offset for the current superblock, for each plane.

## ◆ txb_offset

uint16_t DecoderCodingBlock::txb_offset[3]

txb_offset[p] is the offset into the eob_data[p] for the current coding block, for each plane 'p'.

## ◆ ref_mv_count

uint8_t DecoderCodingBlock::ref_mv_count[MODE_CTX_REF_FRAMES]

ref_mv_count[i] specifies the number of number of motion vector candidates in xd->ref_mv_stack[i].

The documentation for this struct was generated from the following file:

- av1/decoder/decoder.h